/*
		Class Selection Script
			-- A simple script used to display the skin name or team name when a class is selected.
		* Latest Version: 0.2
		* Release Date: 20/03/10
*/

// Change this to 1 if you want to show team names instead of skin names
const _TEAM_MESSAGE = 0;
// Change this to 0 if you want to show big messages instead of small messages
const _SMALL_MESSAGE = 1;

function onScriptLoad()
{
	print( ">> Class Selection Script Loaded\n" );
	print( ">> Version 0.2\n" );
	print( ">> By Force\n" );
}

function onPlayerRequestClass( pPlayer, iClassID )
{
	// This function is called by the client script when the client requests a new skin on the skin selection screen.
	local pClass = FindSpawnClass( iClassID );
	if ( pClass )
	{
		if ( !_TEAM_MESSAGE )
		{
			// If the spawn class exists we can go a bit further into the script
			// Use this is if you want to show text based on the skin id.
			local iSkin = pClass.Skin;	
			switch( iSkin )
			{
				// Write a case statement here for each skin in your content.xml
				case 0:
				{
					ClearMessages( pPlayer );
					SkinMessage( pPlayer, "Claude", 2000, 1 );
				}
				break;
				case 1:
				{
					// Another skin name here
				}
				break;
			}
		}
		else
		{
			local iTeam = pClass.Team;
			// Use this is if you want to show text based on the team id.
			switch( iTeam )
			{
				// Write a case statement here for each team in your content.xml
				case 1:
				{
					ClearMessages( pPlayer );
					SkinMessage( pPlayer, "Thugs", 2000, 1 );
				}
				break;
				case 2:
				{
					// Another team name here
				}
				break;
			}
		}
	}
}

function SkinMessage( pPlayer, szMessage, iTime, iType )
{
if ( _SMALL_MESSAGE )
	SmallMessage( pPlayer, szMessage, iTime, iType );
else
	BigMessage( pPlayer, szMessage, iTime, iType );
}